<template>
  <div>
    <!-- 立案审查 -->
    <el-dialog
      title="立案审查"
      :visible="showfilingreview"
      width="500px"
      @close="cancel"
      :destroy-on-close="true"
    >
      <div class="radiobox">
        <el-radio-group v-model="radio">
          <el-radio :label="1">同意</el-radio>
          <el-radio :label="2">拒绝</el-radio>
        </el-radio-group>
      </div>

      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm" class="endbutton"
          ><span>提 交</span></el-button
        >
        <el-button @click="cancel" class="endbutton1"
          ><span> 取 消</span></el-button
        >
      </div>
    </el-dialog>
  </div>
</template>

<script>

import { submitCaseApplicationCheck } from "@/api/caseManagement/caseManagement.js";

export default {
  name: "filingreviewDialog",
  props: ["showfilingreview", "filingreviewdata", "queryParams"],
  data() {
    return {
      radio: 1,
    };
  },
  methods: {
    submitForm() {
      let paramsdata = {
        agreeOrNotCheck: this.radio,
        ids: [this.filingreviewdata.id],
      };
      submitCaseApplicationCheck(paramsdata)
        .then((res) => {
          this.$modal.msgSuccess("提交成功");
          this.cancel();
          this.$emit("getcaseApply", this.queryParams);
        })
        .catch((err) => {});
    },
    cancel() {
      this.$emit("cancelFilingreview");
    },
  },
};
</script>

<style lang="scss" scoped>
.radiobox {
  margin-left: 5%;
}
::v-deep .el-dialog {
  width: 800px;
  background: #ffffff;
  border-radius: 20px;
}
.endbutton {
  width: 124px;
  height: 37px;
  background: #0072ff;
  border-radius: 19px;
  span {
    width: 32px;
    height: 15px;
    font-size: 16px;
    font-family: Microsoft YaHei;
    font-weight: 400;
    color: #ffffff;
    // line-height: 48px;
  }
}
.endbutton1 {
  width: 124px;
  height: 37px;
  background: #ffffff;
  border: 1px solid #d0d0d0;
  border-radius: 19px;
  span {
    width: 31px;
    height: 13px;
    font-size: 16px;
    font-family: Microsoft YaHei;
    font-weight: 400;
    color: #959595;
  }
}
</style>